Closed Bug 1280062 Opened 3 years ago Closed 3 months ago

[tracking] Enable popular Google Chrome Extensions to run as WebExtensions

Categories

(WebExtensions :: Compatibility, defect, P3)

defect

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: mattw, Unassigned)

References

(Depends on 3 open bugs, Blocks 1 open bug)

Details

(Keywords: meta, Whiteboard: [chrome extensions] triaged)

The purpose of this bug is to track the changes necessary to enable the top Chrome Web Extensions to run as Firefox Web Extensions without modification.
We discussed that, once we have identified what needs to be done to allow the top 20-30 Chrome extensions to run in Firefox, we will open bugs for each new API that needs to be added, and will open tracking bugs for each extension that we plan to enable, so we can track the progress both by extension and by API.
Depends on: 1280399
Depends on: 1280404
No longer depends on: webext-port-abp
Depends on: 1282749
No longer depends on: 1282749
Depends on: 1282771
No longer depends on: 1282771
Depends on: 1190687
Depends on: 1282971
Depends on: 1282972
No longer depends on: 1282972
No longer depends on: 1282971
Depends on: 1282971
Depends on: 1282972
Depends on: 1282975
Depends on: 1282977
Depends on: 1282978
Depends on: 1282979
Depends on: 1282981
Depends on: 1282982
Depends on: 1282983
Depends on: 1282984
Depends on: 1283116
No longer depends on: 1282983
Depends on: 1220136
Depends on: 1283275
Depends on: 1283277
No longer depends on: 1283275
No longer depends on: 1283277
Depends on: 1283279
No longer depends on: 1283279
Depends on: 1283280
Depends on: 1283283
Depends on: 1283685
Depends on: 1283686
Depends on: 1283687
No longer depends on: webext-port-maps-galaxy
No longer depends on: 1282971
No longer depends on: 1282975
No longer depends on: 1283280
No longer depends on: 1283283
No longer depends on: 1283685
No longer depends on: 1283686
Whiteboard: [chrome extensions] triaged
Depends on: 1291627
Depends on: 1299775
Depends on: 1299846
No longer depends on: 1166496
Component: WebExtensions: Untriaged → WebExtensions: Compatibility
Priority: -- → P3
please consider adding this one to the list:
https://addons.mozilla.org/en-US/firefox/addon/s3download-statusbar/
thanks.
(In reply to Tortino from comment #2)
> please consider adding this one to the list:
> https://addons.mozilla.org/en-US/firefox/addon/s3download-statusbar/
> thanks.

bug 1340591.
Misunderstanding! Sorry!
Summary: [tracking] Enable popular Chrome Extensions to run as WebExtensions → [tracking] Enable popular Google Chrome Extensions to run as WebExtensions
No longer depends on: webextensions-proxy-api
Product: Toolkit → WebExtensions

closing out an old tracker no longer in use.

Status: NEW → RESOLVED
Closed: 3 months ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.